libxml++: xmlpp::DtdValidator Class Reference

libxml++ 2.34.2

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# xmlpp::DtdValidator Class Reference

XML DOM parser. More...

`#include <libxml++/validators/dtdvalidator.h>`

Inheritance diagram for xmlpp::DtdValidator:
[legend]
Collaboration diagram for xmlpp::DtdValidator:
[legend]

List of all members.

## Public Member Functions
| DtdValidator ()
| DtdValidator (const Glib::ustring& file)
| DtdValidator (const Glib::ustring& external, const Glib::ustring& system)
virtual | ~DtdValidator ()
virtual void | parse_subset (const Glib::ustring& external, const Glib::ustring& system)
virtual void | parse_file (const Glib::ustring& filename)
virtual void | parse_memory (const Glib::ustring& contents)
virtual void | parse_stream (std::istream& in)
| operator bool () const
| Test whether a document has been parsed.
Dtd* | get_dtd ()
const Dtd* | get_dtd () const
bool | validate (const Document* doc)
## Protected Member Functions
virtual void | release_underlying ()
## Protected Attributes
Dtd* | dtd_

## Detailed Description

XML DOM parser.

## Constructor & Destructor Documentation

xmlpp::DtdValidator::DtdValidator | ( |  | ) |

xmlpp::DtdValidator::DtdValidator | ( | const Glib::ustring & | file | ) | `[explicit]`

xmlpp::DtdValidator::DtdValidator | ( | const Glib::ustring & | external,
|  | const Glib::ustring & | system
| ) |  | `[explicit]`

virtual xmlpp::DtdValidator::~DtdValidator | ( |  | ) | `[virtual]`

## Member Function Documentation

Dtd* xmlpp::DtdValidator::get_dtd | ( |  | ) |

const Dtd* xmlpp::DtdValidator::get_dtd | ( |  | ) | const

xmlpp::DtdValidator::operator bool | ( |  | ) | const

Test whether a document has been parsed.

virtual void xmlpp::DtdValidator::parse_file | ( | const Glib::ustring & | filename | ) | `[virtual]`

virtual void xmlpp::DtdValidator::parse_memory | ( | const Glib::ustring & | contents | ) | `[virtual]`

virtual void xmlpp::DtdValidator::parse_stream | ( | std::istream & | in | ) | `[virtual]`

virtual void xmlpp::DtdValidator::parse_subset | ( | const Glib::ustring & | external,
|  | const Glib::ustring & | system
| ) |  | `[virtual]`

virtual void xmlpp::DtdValidator::release_underlying | ( |  | ) | `[protected, virtual]`

Reimplemented from xmlpp::Validator.

bool xmlpp::DtdValidator::validate | ( | const Document* | doc | ) |

## Member Data Documentation

Dtd* xmlpp::DtdValidator::dtd_`[protected]`

The documentation for this class was generated from the following file:

- validators/dtdvalidator.h